/* LOGIN OVERLAY */
.auth-overlay {
  position: fixed;
  inset: 0;
  background: rgb(238, 238, 238);
  backdrop-filter: blur(20px);
  display: flex;
  align-items: center;
  justify-content: center;
  z-index: 9999;
}

/* CARD */
.auth-card {
  width: 360px;
  background: #ffffff;
  border-radius: 14px;
  padding: 28px;
  box-shadow: 0 30px 60px rgba(0, 0, 0, 0.25);
}

/* FORMS */
.auth-form {
  display: none;
}

.auth-form.active {
  display: block;
}

.auth-form h2 {
  margin-bottom: 18px;
  font-size: 22px;
  font-weight: 600;
  text-align: center;
}

/* INPUTS */
.input-group {
  margin-bottom: 14px;
}

.input-group label {
  display: block;
  font-size: 13px;
  color: #555;
  margin-bottom: 4px;
}

.input-group input {
  width: 100%;
  padding: 10px 12px;
  border-radius: 8px;
  border: 1px solid #ddd;
  font-size: 14px;
}

.input-group input:focus {
  outline: none;
  border-color: #4f46e5;
}

/* BUTTON */
.auth-btn {
  width: 100%;
  margin-top: 10px;
  padding: 11px;
  border-radius: 8px;
  border: none;
  background: #4f46e5;
  color: #fff;
  font-size: 15px;
  cursor: pointer;
}

.auth-btn:hover {
  background: #4338ca;
}

/* SWITCH TEXT */
.switch-text {
  margin-top: 14px;
  text-align: center;
  font-size: 13px;
  color: #666;
}

.switch-text span {
  color: #4f46e5;
  cursor: pointer;
  font-weight: 500;
}

/* MESSAGES */
.auth-message {
  min-height: 18px;
  margin-top: 6px;
  font-size: 13px;
  text-align: center;
  color: #d32f2f;
  background-color: transparent;
}

.auth-message.success {
  color: #2e7d32;
}


.record-section {
  display: block;
}

.annotate-section {
  display: none;
}


@media (width < 640px) {
  .auth-card {
     width: 290px;
  }
}


.file-uploader {
  min-height: 300px;
}
